MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000125WebSolarLogBackendpublic2013-07-17 10:122013-12-20 09:53
ReporterChris12 
Assigned Tomfrijmann 
PrioritylowSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionRelease 1.0.0 
Target VersionRelease 1.1.0Fixed in VersionRelease 1.1.0 
Summary0000125: Weather information enhancement
DescriptionMaybe put some nice weather icons for the weather instead of plain text.
TagsNo tags attached.
Attached Filespng file icon wsl-info.png [^] (82,125 bytes) 2013-09-08 14:25

- Relationships
child of 0000148resolvedmfrijmann Show more generated/used/weather figures 

-  Notes
(0000163)
mfrijmann (administrator)
2013-08-12 20:03

Do you have an idea or (design) suggestion?
(0000168)
Chris12 (reporter)
2013-08-13 10:47

Just take a look at for instant:
http://www.buienradar.nl/?ref=%2fh.aspx%3fjaar%3d-3%26soort%3dvoorspelling [^]

for some nice icons, of clouds/sun etc.

Or just more simple:
http://www.google.nl/search?q=weather+icon+pack&source=lnms&tbm=isch&sa=X&ei=JvIJUtz1CofZPPCRgOgM&ved=0CAcQ_AUoAQ&biw=1476&bih=780 [^]

And put the information together with the collected numbers in a nice table (not text only as it is now)


Regards, Chris
(0000193)
mfrijmann (administrator)
2013-09-07 20:47

What do you think about the "new" weather layout?
(0000195)
mfrijmann (administrator)
2013-09-08 12:38
edited on: 2013-09-08 12:38

Thanx... We will see what we can do. The space is limited and we need to make choice on what we display how. Feel free to add more comments when you see/want changes.

(0000199)
mfrijmann (administrator)
2013-09-08 14:11

Icons is a good idea. But the thing with icons is; We need a set of matching icons and icons costs money... Its opensouce, we spend alot of time(hours(!) a week) and resources(domain name, hosting of wsl-image and site, etc) in WSL and buying icons voor XX euro/dollars... Thats a bridge to far.

Admin::Advanced gives you the possibility to changes CO2 and prices ;)
The money symbol is now based on the locale of the visiting user. This is wrong and we need to change it. But this is a bigger problem for WSL. WSL is now looking at the browser language of the visiting user. The problem with that is, when a Dutch visitor is browsing with a English language, WSL is shown in English. Our plan is to make a option in the Admin where the user could set a language for WSL. The only problem with that is, when a korean visitor visited a Dutch WSL, he probably couldn't read it. But imho that is not a big issue, the most important thing is that the owner could get a good view on this produced and used energy values.

futher with the icons sets:
Martin and I discussed this and had a few options;
1. ask the community if somebody could make/give(donate) a icon set
2. we could introduce an donation button(s) in the Admin and/or frontend/WSL.com/Sourceforge
3. introduce commercial/paid features
4. search for a free iconset or a mix of icons that we could use
5. and more small ideas..

Option 4 could be a good option, but this is a very time consuming operation and we(Martin and I) don't have the time for that.
Option 3 we thing is not a good thing for a opensource product.
Option 2 could be a option, but we thing this could also could result in people except things after a donation.
Option 1 is in our opinion a good option, but totally depend on others.

I received your email!
I looks good, but the layout/figures are not on every WSL the same.
Some people have a SmartMeter and with that we could find the energy usage in the house (imported from the grid and used from the solar inverter).
These values have/need there own CO2, price and kWh presentations.

See the attachment on this issue.
(0000200)
Chris12 (reporter)
2013-09-08 14:35

There was nog money symbol displayed at all by my WSL dashboard just ()
Maybe you should also make that a configuration item in Advanched settings


There are several free weather icon packs available.
IE. http://www.dotvoid.com/2009/12/free-weather-icons/ [^]
http://iconbest.com/2009/01/07/waether-iconset/#more-16 [^]

If you split the weather icons and the otehr icons, you can use a free weather icon pack for all weather related information.

The other information icons (5pcs) maybe some user on tweakers can create them.
Just post a question!
(0000201)
mfrijmann (administrator)
2013-09-08 23:09
edited on: 2013-09-09 12:12

If you had no money symbol, then there is no locale for you language on you host.
For example;
If your host/server only has a English locale installed and you browser to you WSL with a Dutch browser then there is no Dutch Locale and WSL will fall back to English. Based on the available/selected locale, WSL will try to get the money symbol. My Rpi with a dutch locale installed shows me the euro symbol.

Make it a configuration item, is not that simple. We need to take a good look on this one.

Icons look good, but we need the energy icons also. And these sets are in a lot of cases not free and/or "incomplete".

(0000207)
mfrijmann (administrator)
2013-10-16 15:59

"Nice" images are a good idea, but we need a matching set of icons for WSL.

As long if there is no complete set of matching image, we need to do it with text.

If someone could help find a nice icon set for;
Trees, CO2, grid, solar, inverter, metering, gas, etc.
Then this would be great!

We take a look at the Translation issues.
(0000208)
mfrijmann (administrator)
2013-10-17 08:13

Yesterday i search the web for some icon sets and found these:
http://www.shutterstock.com/pic-134521703/stock-vector-energy-and-resource-icon-set-vector-illustration.html [^]

http://www.shutterstock.com/pic-112652462/stock-vector--ecology-and-recycle-icons-vector-set.html [^]

http://www.shutterstock.com/pic-112895074/stock-vector--ecology-and-recycle-icons-vector-set-set.html [^]
(0000210)
mfrijmann (administrator)
2013-10-17 08:27

This are commercially licensed sets;
http://www.shutterstock.com/subscribe.mhtml [^]

We have no project-resources to buy them.

- Issue History
Date Modified Username Field Change
2013-07-17 10:12 Chris12 New Issue
2013-08-12 20:03 mfrijmann Note Added: 0000163
2013-08-13 10:47 Chris12 Note Added: 0000168
2013-09-04 19:00 mfrijmann Relationship added child of 0000148
2013-09-04 19:01 mfrijmann Assigned To => mfrijmann
2013-09-04 19:01 mfrijmann Status new => assigned
2013-09-04 19:01 mfrijmann Product Version => Release 1.0.0
2013-09-04 19:01 mfrijmann Target Version => Release 1.1.0
2013-09-07 20:47 mfrijmann Note Added: 0000193
2013-09-08 12:38 mfrijmann Note Added: 0000195
2013-09-08 12:38 mfrijmann Note Edited: 0000195 View Revisions
2013-09-08 14:11 mfrijmann Note Added: 0000199
2013-09-08 14:25 mfrijmann File Added: wsl-info.png
2013-09-08 14:35 Chris12 Note Added: 0000200
2013-09-08 23:09 mfrijmann Note Added: 0000201
2013-09-09 12:12 mfrijmann Note Edited: 0000201 View Revisions
2013-10-16 15:59 mfrijmann Note Added: 0000207
2013-10-16 17:45 Changeset attached => SourceForge trunk r1358
2013-10-16 17:45 Changeset attached => SourceForge trunk r1359
2013-10-16 18:00 Changeset attached => SourceForge trunk r1360
2013-10-17 08:13 mfrijmann Note Added: 0000208
2013-10-17 08:27 mfrijmann Note Added: 0000210
2013-10-17 09:15 Changeset attached => SourceForge trunk r1361
2013-10-17 11:00 Changeset attached => SourceForge trunk r1362
2013-10-17 11:00 Changeset attached => SourceForge trunk r1363
2013-10-17 11:00 Changeset attached => SourceForge trunk r1364
2013-12-20 09:53 mfrijmann Status assigned => resolved
2013-12-20 09:53 mfrijmann Fixed in Version => Release 1.1.0
2013-12-20 09:53 mfrijmann Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker